package com.company;

/**
 * Типы сообщений клиента
 */
public enum UserMessageType {
    DEFAULT,
    /**
     * Пополнить баланс
     */
    DEPOSIT,
    /**
     * Снять с счёта
     */
    WITHDRAW,
    /**
     * Прекратить действие договора
     */
    BREAK_CONTRACT,
    /**
     * Открыть новый счёт
     */
    SIGN_CONTRACT,
    /**
     * Авторизация в системе (ввод номера счёта и пин-кода)
     */
    AUTHORIZATION,
}
